package org.springblade.csetl.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum CsDsTypeEnum {

    MYSQL(0, "MYSQL"),
    ES(1, "ELASTICSEARCH"),
    INFLUXDB(2, "INFLUXDB"),
    ;

    @EnumValue
    private Integer type;
    private String name;

    CsDsTypeEnum(Integer type, String name) {
        this.type = type;
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public String getName() {
        return name;
    }
}
