///**
// * 
// */
//package org.springblade.etl.controller;
//
//import java.util.Arrays;
//
//import org.springblade.core.boot.ctrl.BladeController;
//import org.springblade.core.mp.support.Condition;
//import org.springblade.core.mp.support.Query;
//import org.springblade.core.tool.api.R;
//import org.springblade.etl.entity.JobTask;
//import org.springblade.etl.service.JobTaskService;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.web.bind.annotation.GetMapping;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.RequestBody;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RequestParam;
//import org.springframework.web.bind.annotation.RestController;
//
//import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
//import com.baomidou.mybatisplus.core.metadata.IPage;
//
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//
///**
// *	任务步骤(节点) 操作处理
// *
// * @author aokunsang
// * @date   2023-07-28
// */
//@RestController
//@RequestMapping("/job-task")
//@Api(value = "任务步骤(节点)相关接口", tags = "任务步骤(节点)接口")
//public class JobTaskController extends BladeController {
//
//	@Autowired
//	private JobTaskService jobTaskService;
//	
//	/**
//	 * 	列表数据
//	 * @param jobTask
//	 * @return
//	 */
//	@GetMapping("/page")
//	@ApiOperation(value = "分页查询任务步骤(节点)", httpMethod = "GET")
//	public R<IPage<JobTask>> pageList(JobTask jobTask, Query query){
//		QueryWrapper<JobTask> queryWrapper = Condition.getQueryWrapper(jobTask);
//		return R.data(jobTaskService.page(Condition.getPage(query), queryWrapper.lambda().orderByDesc(JobTask::getId)));
//	}
//	
//	/**
//	 * 单条数据查询接口
//	 * @param id
//	 * @return
//	 */
//	@GetMapping("/info")
//	@ApiOperation(value = "根据ID获取任务步骤(节点)", httpMethod = "GET")
//	public R<JobTask> info(@RequestParam Integer id) {
//		return R.data(jobTaskService.getById(id));
//	}
//	
//	/**
//	 *	修改数据接口
//	 * @param jobTask
//	 * @return
//	 */
//	@PostMapping("/submit")
//	@ApiOperation(value = "增加或修改任务步骤(节点)", httpMethod = "POST")
//	public R<String> doUpdate(@Validated @RequestBody JobTask jobTask) {
//		return R.status(jobTaskService.saveOrUpdate(jobTask));
//	}
//	
//	/**
//	 * 	删除数据接口
//	 * @param id
//	 * @return
//	 */
//	@PostMapping("/delete")
//	@ApiOperation(value = "根据ID删除任务步骤(节点)", notes = "多个逗号分割", httpMethod = "POST")
//	public R<String> doDelete(@RequestParam Integer[] id) {
//		return R.status(jobTaskService.removeByIds(Arrays.asList(id)));
//	}
//	
//}