/**
 * 
 */
package org.springblade.etl.engine.seatunnel;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

import com.fasterxml.jackson.databind.node.ObjectNode;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class SeatunnelJobConfig implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private SeatunnelJobEnv env;
	
	private List<ObjectNode> source = new ArrayList<>();
	
	private List<ObjectNode> transform = new LinkedList<>();
	
	private List<ObjectNode> sink = new ArrayList<>();
}
