/**
 * 
 */
package org.springblade.csetl.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.csetl.entity.CsDsyJob;
import org.springblade.etl.entity.DsyJobTable;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author wookvn
 *
 */
@Data
public class CsDsyJobDto implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "任务基本信息")
	@NotNull(message = "任务信息不能为空")
	private CsDsyJob job;
	
	@ApiModelProperty(value = "权限组ID列表")
	private List<Integer> dataPermIdList;

}
