package org.springblade.csetl.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum CsJobStatus  {

    ONLINE(1, "下线"),
    OFFLINE(2, "上线"),
    ONLINE_RUN(3, "上线并运行"),
    ;

    @EnumValue
    private Integer value;
    private String label;

    CsJobStatus(Integer value, String label) {
        this.value = value;
        this.label = label;
    }

    public Integer getValue() {
        return value;
    }

    public String getLabel() {
        return label;
    }
}
