package org.springblade.datasource.transform.general;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 喜欢番茄火锅
 * @date 2023/8/18 17:34
 */
@Data
public class GeneralModel {


    @ApiModelProperty(value = "true 源字段")
    private Boolean sourceColumn;

    @ApiModelProperty(value = "字段名称")
    private String columnName;

    @ApiModelProperty(value = "目标字段名称")
    private String destColumnName;

    @ApiModelProperty(value = "字段注释")
    private String columnComments;

    @ApiModelProperty(value = "字段大小(对于 numeric 和 decimal 类型,列的精度)")
    private Integer columnSize;

    @ApiModelProperty(value = "小数部分位数")
    private Integer decimalDigits;

    @ApiModelProperty(value = "字段类型")
    private String type;

    @ApiModelProperty(value = "索引类型")
    private Boolean primaryKey = false;
}
