/**
 * 
 */
package org.springblade.etl.dto;

import java.io.Serializable;
import java.util.Map;

import com.baomidou.mybatisplus.core.metadata.IPage;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SqlScriptBrowserResultDto implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "数据源ID")
	private Integer datasourceId;
	
	@ApiModelProperty(value = "Select SQL语句")
	private String selectSql;
	
	@ApiModelProperty(value = "查询的数据")
	private IPage<Map<String, Object>> data;

}
