/**
 * 
 */
package org.springblade.etl.engine.datax.event;

import java.io.Serializable;

import org.springblade.etl.enums.InstanceRunType;
import org.springblade.etl.properties.DsyProperties.ServerInfo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class JobRunTarget implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private Integer jobInstanceId;
	
	private InstanceRunType runType;
	
	private ServerInfo serverInfo;
	
	public JobRunTarget(Integer jobInstanceId, InstanceRunType runType) {
		this.jobInstanceId = jobInstanceId;
		this.runType = runType;
	}

}
