/**
 * 
 */
package org.springblade.etl.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Select;
import org.springblade.etl.entity.DsyJobTable;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 *	数据同步任务 数据处理
 *
 * @author aokunsang
 * @date   2023-09-21
 */
public interface DsyJobTableMapper extends BaseMapper<DsyJobTable>{
	
	@InterceptorIgnore(tenantLine = "true")
	@Select("select * from dsy_job_table where job_id = #{value}")
	public List<DsyJobTable> selectByJobId(Integer jobId);
}