/**
 * 
 */
package org.springblade.etl.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Select;
import org.springblade.etl.entity.JobTask;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 *	任务步骤(节点) 数据处理
 *
 * @author aokunsang
 * @date   2023-07-28
 */
public interface JobTaskMapper extends BaseMapper<JobTask>{
	
	@InterceptorIgnore(tenantLine = "true")
	@Select("select * from etl_job_task where job_id = #{value}")
	public List<JobTask> selectByJobId(Integer jobId);
}