/**
 * 
 */
package org.springblade.etl.service;

import java.util.List;

import org.springblade.etl.entity.JobLink;
import org.springblade.etl.mapper.JobLinkMapper;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 *	任务步骤连接 服务处理
 *
 * @author aokunsang
 * @date   2023-07-28
 */
@Service
public class JobLinkService extends ServiceImpl<JobLinkMapper, JobLink>{

	public List<JobLink> listByJobId(Integer jobId){
		return baseMapper.selectByJobId(jobId);
	}
}